package com.ym.mec.biz.dal.dao;

import java.util.List;

import com.ym.mec.biz.dal.entity.TeacherContracts;
import com.ym.mec.common.dal.BaseDAO;

public interface TeacherContractsDao extends BaseDAO<Long, TeacherContracts> {

	TeacherContracts queryByUserId(Integer userId);
	
	TeacherContracts queryBySerialNo(String serialNo);
	
	List<TeacherContracts> queryNotUrlList();
	
	int batchUpdate(List<TeacherContracts> teacherContractsList);
}